"use strict";var _react=_interopRequireDefault(require("react")),_enzyme=require("enzyme"),_test=require("../../utils/test"),_index=_interopRequireDefault(require("./index"));function _interopRequireDefault(a){return a&&a.__esModule?a:{default:a}}




describe("text input tests",function(){
it("render simple text input",function(){var
a=(0,_enzyme.shallow)(_react.default.createElement(_index.default,{label:"this is label",uniqueName:"eng name"})),
b=(0,_test.findByTestAtrr)(a,"text-input");

expect(b.length).toBe(1);
}),

it("render text input with placeholder",function(){var
a=(0,_enzyme.mount)(_react.default.createElement(_index.default,{label:"this is label",uniqueName:"eng name",placeholder:"hi guys"})),
b=(0,_test.findByTestAtrr)(a,"text-input");

expect(b.find("input").prop("placeholder")).toBe("hi guys");
}),

it("test text input id without id props",function(){var
a=(0,_enzyme.mount)(_react.default.createElement(_index.default,{label:"this is label",uniqueName:"eng name",placeholder:"hi guys"})),
b=(0,_test.findByTestAtrr)(a,"text-input");

expect(b.find("input").prop("id")).toBe("text-engname");
}),

it("render text input - full props",function(){var
a=(0,_enzyme.mount)(_react.default.createElement(_index.default,{label:"this is label",uniqueName:"eng name",placeholder:"hi guys",type:"text",id:"hiiii-id"})),
b=(0,_test.findByTestAtrr)(a,"text-input");

expect(b.find("input").prop("id")).toBe("hiiii-id"),
expect(b.find("input").prop("type")).toBe("text"),
expect(b.find("input").prop("placeholder")).toBe("hi guys"),
expect(b.find("input").prop("name")).toBe("eng name"),
expect(b.length).not.toBe(0);
}),

it("render disabled input",function(){var
a=(0,_enzyme.mount)(_react.default.createElement(_index.default,{label:"this is label",uniqueName:"eng name",disabled:!0})),
b=(0,_test.findByTestAtrr)(a,"text-input");

expect(b.find("input").prop("disabled")).toBe(!0);
}),

it("render with or without text-input-description",function(){var
a=(0,_enzyme.shallow)(_react.default.createElement(_index.default,{label:"this is label",uniqueName:"with desc",description:"hiiiiii"})),
b=(0,_enzyme.shallow)(_react.default.createElement(_index.default,{label:"this is label",uniqueName:"without desc"})),
c=(0,_test.findByTestAtrr)(a,"text-input-description"),
d=(0,_test.findByTestAtrr)(b,"text-input-description");

expect(c.length).toBe(1),
expect(d.length).toBe(0);
}),

it("render with or err msg",function(){var
a=(0,_enzyme.shallow)(_react.default.createElement(_index.default,{label:"this is label",uniqueName:"with desc",description:"hiiiiii",errorMessage:"this is a good err"})),
b=(0,_test.findByTestAtrr)(a,"error-message");

expect(b.length).toBe(1),
expect(b.children().text()).toBe("this is a good err");
});
});