"use strict";var _react=_interopRequireDefault(require("react")),_enzyme=require("enzyme");require("jest-styled-components");var _index=_interopRequireDefault(require("./index")),_test=require("../../utils/test"),_theme=_interopRequireDefault(require("../theme"));function _interopRequireDefault(a){return a&&a.__esModule?a:{default:a}}function _extends(){return _extends=Object.assign||function(a){for(var b,c=1;c<arguments.length;c++)for(var d in b=arguments[c],b)Object.prototype.hasOwnProperty.call(b,d)&&(a[d]=b[d]);return a},_extends.apply(this,arguments)}var








setupShallow=function(){var a=0<arguments.length&&arguments[0]!==void 0?arguments[0]:{};return(
(0,_enzyme.shallow)(_react.default.createElement(_index.default,_extends({level:a.level},a),a.children)))},


setupMount=function(){var a=0<arguments.length&&arguments[0]!==void 0?arguments[0]:{};return(
(0,_enzyme.mount)(_react.default.createElement(_index.default,_extends({level:a.level},a),a.children)))};


describe("Heading component",function(){
it("Should render large H1 component without error",function(){var
a=setupShallow({children:"\u062A\u0633\u062A",level:1}),
b=(0,_test.findByTestAtrr)(a,"h1-tag");
expect(b.length).toBe(1);
}),

it("Should render large H1 component without error",function(){
var a=setupMount({children:"\u062A\u0633\u062A",level:1});
expect(a).toHaveStyleRule("font-size","".concat(_theme.default.h1SizeMedium,"px")),
expect(a).toHaveStyleRule("line-height","".concat(_theme.default.h1SizeMedium*_theme.default.lineHeightRatio,"px")),
expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
a.unmount();
}),

it("Should render H2 component without error",function(){var
a=setupShallow({children:"\u062A\u0633\u062A",level:2}),
b=(0,_test.findByTestAtrr)(a,"h2-tag");
expect(b.length).toBe(1);
}),

it("Should render small H2 component without error",function(){
var a=setupMount({children:"\u062A\u0633\u062A",level:2,size:"sm"});
expect(a).toHaveStyleRule("font-size","".concat(_theme.default.h2SizeSmall,"px")),
expect(a).toHaveStyleRule("line-height","".concat(_theme.default.h2SizeSmall*_theme.default.lineHeightRatio,"px")),
expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
a.unmount();
}),

it("Should render H3 component without error",function(){var
a=setupShallow({children:"\u062A\u0633\u062A",level:3}),
b=(0,_test.findByTestAtrr)(a,"h3-tag");
expect(b.length).toBe(1);
}),

it("Should render large H3 component without error",function(){
var a=setupMount({children:"\u062A\u0633\u062A",level:3,size:"lg"});
expect(a).toHaveStyleRule("font-size","".concat(_theme.default.h3SizeLarge,"px")),
expect(a).toHaveStyleRule("line-height","".concat(_theme.default.h3SizeLarge*_theme.default.lineHeightRatio,"px")),
expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
a.unmount();
}),

it("Should render H4 component without error",function(){var
a=setupShallow({children:"\u062A\u0633\u062A",level:4}),
b=(0,_test.findByTestAtrr)(a,"h4-tag");
expect(b.length).toBe(1);
}),

it("Should render small H4 component without error",function(){
var a=setupMount({children:"\u062A\u0633\u062A",level:4,size:"sm"});
expect(a).toHaveStyleRule("font-size","".concat(_theme.default.h4SizeSmall,"px")),
expect(a).toHaveStyleRule("line-height","".concat(_theme.default.h4SizeSmall*_theme.default.lineHeightRatio,"px")),
expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
a.unmount();
}),

it("Should render H5 component without error",function(){var
a=setupShallow({children:"\u062A\u0633\u062A",level:5}),
b=(0,_test.findByTestAtrr)(a,"h5-tag");
expect(b.length).toBe(1);
}),

it("Should render small H5 component without error",function(){
var a=setupMount({children:"\u062A\u0633\u062A",level:5,size:"sm"});
expect(a).toHaveStyleRule("font-size","".concat(_theme.default.h5SizeSmall,"px")),
expect(a).toHaveStyleRule("line-height","".concat(_theme.default.h5SizeSmall*_theme.default.lineHeightRatio,"px")),
expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
a.unmount();
}),

it("Should render H6 component without error",function(){var
a=setupShallow({children:"\u062A\u0633\u062A",level:6}),
b=(0,_test.findByTestAtrr)(a,"h6-tag");
expect(b.length).toBe(1);
}),

it("Should render medium H6 component without error",function(){
var a=setupMount({children:"\u062A\u0633\u062A",level:6,size:"md"});
expect(a).toHaveStyleRule("font-size","".concat(_theme.default.h6SizeMedium,"px")),
expect(a).toHaveStyleRule("line-height","".concat(_theme.default.h6SizeMedium*_theme.default.lineHeightRatio,"px")),
expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
a.unmount();
}),


it("Should not render H1 when children prop is undefined",function(){var
a=setupShallow({level:1}),
b=(0,_test.findByTestAtrr)(a,"h1-tag");
expect(b.length).toBe(0);
}),

it("Level prop should be between 1 and 5",function(){
var a=setupMount({children:"\u062A\u0633\u062A",level:1});
expect(a.prop("level")).toBeGreaterThanOrEqual(1),
expect(a.prop("level")).toBeLessThanOrEqual(5),
a.unmount();
}),

it("Should render H1 when level prop is undefined",function(){var
a=setupShallow({children:"\u062A\u0633\u062A"}),
b=(0,_test.findByTestAtrr)(a,"h1-tag");
expect(b.length).toBe(1);
});
});