"use strict";var _react=_interopRequireDefault(require("react")),_enzyme=require("enzyme");require("jest-styled-components");var _index=_interopRequireDefault(require("./index")),_test=require("../../utils/test"),_theme=_interopRequireDefault(require("../theme"));function _interopRequireDefault(a){return a&&a.__esModule?a:{default:a}}function _extends(){return _extends=Object.assign||function(a){for(var b,c=1;c<arguments.length;c++)for(var d in b=arguments[c],b)Object.prototype.hasOwnProperty.call(b,d)&&(a[d]=b[d]);return a},_extends.apply(this,arguments)}var







setupShallow=function(){var a=0<arguments.length&&arguments[0]!==void 0?arguments[0]:{};return(
(0,_enzyme.shallow)(
_react.default.createElement(_index.default,_extends({
size:a.size,
color:a.color,
underline:a.underline,
lineThrough:a.lineThrough,
strong:a.strong,
emphasized:a.emphasized,
subScript:a.subScript,
supScript:a.supScript,
marked:a.marked,
label:a.label},
a),

a.children)))},




setupMount=function(){var a=0<arguments.length&&arguments[0]!==void 0?arguments[0]:{};return(
(0,_enzyme.mount)(
_react.default.createElement(_index.default,_extends({
size:a.size,
color:a.color,
underline:a.underline,
lineThrough:a.lineThrough,
strong:a.strong,
emphasized:a.emphasized,
subScript:a.subScript,
supScript:a.supScript,
marked:a.marked,
label:a.label},
a),

a.children)))};




describe("Text component",function(){
it("Should not render anything",function(){var
a=setupShallow({}),
b=(0,_test.findByTestAtrr)(a,"span");
expect(b.length).toBe(0);
}),

it("Should render simple Text with span tag",function(){var
a=setupShallow({
children:"\u062A\u06A9\u0633\u062A \u0633\u0627\u062F\u0647"}),

b=(0,_test.findByTestAtrr)(a,"span");
expect(b.length).toBe(1);
}),

it("Should render simple Text with strong tag",function(){var
a=setupShallow({
children:"\u062A\u06A9\u0633\u062A \u0627\u0633\u062A\u0631\u0627\u0646\u06AF",
strong:!0}),

b=(0,_test.findByTestAtrr)(a,"strong");
expect(b.length).toBe(1);
}),

it("Should render simple Text with em tag",function(){var
a=setupShallow({
children:"\u062A\u06A9\u0633\u062A \u06A9\u062C",
emphasized:!0}),

b=(0,_test.findByTestAtrr)(a,"emphasized");
expect(b.length).toBe(1);
}),

it("Should render simple Text with strong tag",function(){var
a=setupShallow({
children:"\u062A\u06A9\u0633\u062A \u0627\u0633\u062A\u0631\u0627\u0646\u06AF",
strong:!0,
emphasized:!0,
subScript:!0,
supScript:!0}),

b=(0,_test.findByTestAtrr)(a,"strong");
expect(b.length).toBe(1);
}),

it("Should render simple Text with strong tag",function(){var
a=setupShallow({
children:"\u062A\u06A9\u0633\u062A \u0627\u0633\u062A\u0631\u0627\u0646\u06AF",
strong:!0,
emphasized:!0,
subScript:!0,
supScript:!0}),

b=(0,_test.findByTestAtrr)(a,"strong");
expect(b.length).toBe(1);
}),

it("Should render subScript text",function(){var
a=setupShallow({
children:"\u062A\u06A9\u0633\u062A \u067E\u0627\u06CC\u06CC\u0646\u200C\u0646\u0648\u06CC\u0633",
subScript:!0}),

b=(0,_test.findByTestAtrr)(a,"subScript");
expect(b.length).toBe(1);
}),

it("Should render supScript text",function(){var
a=setupShallow({
children:"\u062A\u06A9\u0633\u062A \u0628\u0627\u0644\u0627\u200C\u0646\u0648\u06CC\u0633",
supScript:!0}),

b=(0,_test.findByTestAtrr)(a,"supScript");
expect(b.length).toBe(1);
}),

it("Should render subScript text when both subScript and supScript prop is true",function(){var
a=setupShallow({
children:"\u062A\u06A9\u0633\u062A \u067E\u0627\u06CC\u06CC\u0646\u200C\u0646\u0648\u06CC\u0633",
subScript:!0,
supScript:!0}),

b=(0,_test.findByTestAtrr)(a,"subScript"),
c=(0,_test.findByTestAtrr)(a,"supScript");
expect(b.length).toBe(1),
expect(c.length).toBe(0);
}),

it("Should render a strong text with default color and lineThrough",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0633\u0627\u062F\u0647",
strong:!0,
lineThrough:!0});

expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
expect(a).toHaveStyleRule("text-decoration","line-through"),
a.unmount();
}),

it("Should render a strong text with red color and underline",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0633\u0627\u062F\u0647",
strong:!0,
underline:!0});

expect(a).toHaveStyleRule("text-decoration","underline"),
a.unmount();
}),

it("Should render a strong text as label",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0633\u0627\u062F\u0647",
strong:!0,
label:!0});

expect(a).toHaveStyleRule("background-color",_theme.default.colors.gray400),
expect(a).toHaveStyleRule("padding","2px 8px"),
expect(a).toHaveStyleRule("border-radius","2px"),
a.unmount();
}),

it("Should render a strong text as marked",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0633\u0627\u062F\u0647",
strong:!0,
marked:!0});

expect(a).toHaveStyleRule("background-color",_theme.default.colors.blue200),
a.unmount();
}),

it("Should render a emphasized text with underline",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0633\u0627\u062F\u0647",
emphasized:!0,
underline:!0});

expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
expect(a).toHaveStyleRule("text-decoration","underline"),
a.unmount();
}),

it("Should render a emphasized text with lineThrough",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0633\u0627\u062F\u0647",
emphasized:!0,
lineThrough:!0});

expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
expect(a).toHaveStyleRule("text-decoration","line-through"),
a.unmount();
}),

it("Should render a emphasized text with bold weight",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0633\u0627\u062F\u0647",
emphasized:!0,
strong:!0});

expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
expect(a).toHaveStyleRule("font-style","italic"),
a.unmount();
}),

it("Should render text with default size and color",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0633\u0627\u062F\u0647"});

expect(a).toHaveStyleRule("font-size","".concat(_theme.default.defaultSize,"px")),
expect(a).toHaveStyleRule("color",_theme.default.defaultColor),
a.unmount();
}),

it("Should render simple Text with underline",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0632\u06CC\u0631 \u062E\u0637 \u062F\u0627\u0631",
underline:!0});

expect(a).toHaveStyleRule("text-decoration","underline"),
a.unmount();
}),

it("Should render simple Text with line-through",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0631\u0648 \u062E\u0637 \u062F\u0627\u0631",
lineThrough:!0});

expect(a).toHaveStyleRule("text-decoration","line-through"),
a.unmount();
}),

it("Should render simple Text without any text-decoration style",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u063A\u06CC\u0631 \u0645\u0639\u0642\u0648\u0644",
lineThrough:!0,
underline:!0});

expect(a).not.toHaveStyleRule("text-decoration"),
a.unmount();
}),

it("Should render emphasized Text without any text-decoration style",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u063A\u06CC\u0631 \u0645\u0639\u0642\u0648\u0644",
emphasized:!0,
lineThrough:!0,
underline:!0});

expect(a).not.toHaveStyleRule("text-decoration"),
a.unmount();
}),

it("Should render emphasized Text as label",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0644\u06CC\u0628\u0644 \u06A9\u062C",
emphasized:!0,
label:!0});

expect(a).toHaveStyleRule("background-color",_theme.default.colors.gray400),
expect(a).toHaveStyleRule("border-radius","2px"),
expect(a).toHaveStyleRule("padding","2px 8px"),
a.unmount();
}),

it("Should render emphasized Text as marked",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0645\u0627\u0631\u06A9 \u0634\u062F\u0647 \u06A9\u062C",
emphasized:!0,
marked:!0});

expect(a).toHaveStyleRule("background-color",_theme.default.colors.blue200),
a.unmount();
}),

it("Should render simple marked text",function(){
var a=setupMount({
children:"\u0645\u0627\u0631\u06A9",
marked:!0});

expect(a).toHaveStyleRule("background-color",_theme.default.colors.blue200),
a.unmount();
}),

it("Should render simple label text",function(){
var a=setupMount({
children:"\u0644\u06CC\u0628\u06CC\u0644",
label:!0});

expect(a).toHaveStyleRule("background-color",_theme.default.colors.gray400),
expect(a).toHaveStyleRule("border-radius","2px"),
expect(a).toHaveStyleRule("padding","2px 8px"),
a.unmount();
}),

it("Should render simple text when label and marked props are both true",function(){
var a=setupMount({
children:"\u0644\u06CC\u0628\u06CC\u0644",
label:!0,
marked:!0});

expect(a).not.toHaveStyleRule("background-color"),
expect(a).not.toHaveStyleRule("border-radius"),
expect(a).not.toHaveStyleRule("padding"),
a.unmount();
}),

it("Should render blue supScript text",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u0628\u0627\u0644\u0627\u200C\u0646\u0648\u06CC\u0633",
supScript:!0,
color:"blue"});

expect(a).toHaveStyleRule("color",_theme.default.colors.blue600),
a.unmount();
}),

it("Should render blue subScript text",function(){
var a=setupMount({
children:"\u062A\u06A9\u0633\u062A \u067E\u0627\u06CC\u06CC\u0646 \u0646\u0648\u06CC\u0633",
subScript:!0,
color:"blue"});

expect(a).toHaveStyleRule("color",_theme.default.colors.blue600),
a.unmount();
});
});